[Setup]
AppName=plc
AppVerName=plc version 0.1.3
AppVersion=0.1.3
VersionInfoVersion=0.1.3
DefaultDirName={pf}\plc
DefaultGroupName=plc
AppPublisher=Stphane List
AppPublisherURL=http://slist.lilotux.net/linux/plc/
AppCopyright=Copyright (C) 2008 Stphane List - slist@lilotux.net
LicenseFile=external/gpl-3.0.txt

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; GroupDescription: {cm:AdditionalIcons}
Name: quicklaunchicon; Description: {cm:CreateQuickLaunchIcon}; GroupDescription: {cm:AdditionalIcons}

[Dirs]
Name: {app}; Attribs: system
Name: {group}; Attribs: system

[Files]
Source: release/plc.exe; DestDir: {app}
Source: plc.ico; DestDir: {app}
Source: plc_fr.qm; DestDir: {app}
Source: README.txt; DestDir: {app}; Flags: isreadme
Source: external/mingwm10.dll; DestDir: {app}
Source: external/QtCore4.dll; DestDir: {app}
Source: external/QtGui4.dll; DestDir: {app}
Source: external/QtNetwork4.dll; DestDir: {app}
Source: external/WinPcap_4_0_2.exe; DestDir: {tmp}; Flags: deleteafterinstall
Source: external/gpl-3.0.txt; DestDir: {app}

[Run]
Filename: {tmp}\WinPcap_4_0_2.exe
Filename: {app}\plc.exe; Parameters: /icon; Description: {cm:LaunchProgram,plc}; Flags: nowait postinstall skipifsilent


[UninstallDelete]
Type: dirifempty; Name: {app}
Type: dirifempty; Name: {group}

[Icons]
Name: {group}\plc; Filename: {app}\plc.exe; WorkingDir: {app}; IconFilename: {app}\plc.ico; Parameters: /icon
Name: {group}\Uninstall plc; Filename: {uninstallexe}
Name: {userdesktop}\plc; Filename: {app}\plc.exe; IconFilename: {app}\plc.ico; Parameters: /icon; WorkingDir: {app}\; Comment: {cm:LaunchProgram,plc}; IconIndex: 0

[Languages]
Name: eng; MessagesFile: compiler:Default.isl
Name: fra; MessagesFile: compiler:Languages\French.isl
